Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.util
Class DomHelper.StartHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          com.opensymphony.xwork2.util.DomHelper.StartHandler

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler

Enclosing class:
  DomHelper

    public static class DomHelper.StartHandler

extends org.xml.sax.helpers.DefaultHandler

Constructor Summary
`DomHelper.StartHandler(ContentHandler next, Map<String,String> dtdMappings)` Create a filter that is chained to another handler.

Method Summary
`void` | `characters(char[] arg0, int arg1, int arg2)`
`void` | `endDocument()`
`void` | `endElement(String arg0, String arg1, String arg2)`
`void` | `endPrefixMapping(String arg0)`
`void` | `error(SAXParseException exception)`
`void` | `fatalError(SAXParseException exception)`
`void` | `ignorableWhitespace(char[] arg0, int arg1, int arg2)`
`void` | `processingInstruction(String arg0, String arg1)`
`InputSource` | `resolveEntity(String publicId, String systemId)`
`void` | `setDocumentLocator(Locator locator)`
`void` | `skippedEntity(String arg0)`
`void` | `startDocument()`
`void` | `startElement(String uri, String loc, String raw, Attributes attrs)`
`void` | `startPrefixMapping(String arg0, String arg1)`
`void` | `warning(SAXParseException exception)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`notationDecl, unparsedEntityDecl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DomHelper.StartHandler

    public DomHelper.StartHandler(ContentHandler next,
                                  Map<String,String> dtdMappings)

  Create a filter that is chained to another handler.

  Parameters:
    `next` - the next handler in the chain.

Method Detail

### setDocumentLocator

    public void setDocumentLocator(Locator locator)

  Specified by:
    `setDocumentLocator` in interface `ContentHandler`
  Overrides:
    `setDocumentLocator` in class `org.xml.sax.helpers.DefaultHandler`

### startDocument

    public void startDocument()
                       throws SAXException

  Specified by:
    `startDocument` in interface `ContentHandler`
  Overrides:
    `startDocument` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `SAXException`

### endDocument

    public void endDocument()
                     throws SAXException

  Specified by:
    `endDocument` in interface `ContentHandler`
  Overrides:
    `endDocument` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `SAXException`

### startElement

    public void startElement(String uri,
                             String loc,
                             String raw,
                             Attributes attrs)
                      throws SAXException

  Specified by:
    `startElement` in interface `ContentHandler`
  Overrides:
    `startElement` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `SAXException`

### endElement

    public void endElement(String arg0,
                           String arg1,
                           String arg2)
                    throws SAXException

  Specified by:
    `endElement` in interface `ContentHandler`
  Overrides:
    `endElement` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `SAXException`

### startPrefixMapping

    public void startPrefixMapping(String arg0,
                                   String arg1)
                            throws SAXException

  Specified by:
    `startPrefixMapping` in interface `ContentHandler`
  Overrides:
    `startPrefixMapping` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `SAXException`

### endPrefixMapping

    public void endPrefixMapping(String arg0)
                          throws SAXException

  Specified by:
    `endPrefixMapping` in interface `ContentHandler`
  Overrides:
    `endPrefixMapping` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `SAXException`

### characters

    public void characters(char[] arg0,
                           int arg1,
                           int arg2)
                    throws SAXException

  Specified by:
    `characters` in interface `ContentHandler`
  Overrides:
    `characters` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `SAXException`

### ignorableWhitespace

    public void ignorableWhitespace(char[] arg0,
                                    int arg1,
                                    int arg2)
                             throws SAXException

  Specified by:
    `ignorableWhitespace` in interface `ContentHandler`
  Overrides:
    `ignorableWhitespace` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `SAXException`

### processingInstruction

    public void processingInstruction(String arg0,
                                      String arg1)
                               throws SAXException

  Specified by:
    `processingInstruction` in interface `ContentHandler`
  Overrides:
    `processingInstruction` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `SAXException`

### skippedEntity

    public void skippedEntity(String arg0)
                       throws SAXException

  Specified by:
    `skippedEntity` in interface `ContentHandler`
  Overrides:
    `skippedEntity` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `SAXException`

### resolveEntity

    public InputSource resolveEntity(String publicId,
                                     String systemId)

  Specified by:
    `resolveEntity` in interface `EntityResolver`
  Overrides:
    `resolveEntity` in class `org.xml.sax.helpers.DefaultHandler`

### warning

    public void warning(SAXParseException exception)

  Specified by:
    `warning` in interface `ErrorHandler`
  Overrides:
    `warning` in class `org.xml.sax.helpers.DefaultHandler`

### error

    public void error(SAXParseException exception)
               throws SAXException

  Specified by:
    `error` in interface `ErrorHandler`
  Overrides:
    `error` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `SAXException`

### fatalError

    public void fatalError(SAXParseException exception)
                    throws SAXException

  Specified by:
    `fatalError` in interface `ErrorHandler`
  Overrides:
    `fatalError` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.